path: /build/build/wayland-protocols-dev-libs-1.42.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-libs/wayland-protocols -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-libs/wayland-protocols
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/wayland-protocols && luet-portage --dir
    /pkgdir/wayland-protocols dev-libs/wayland-protocols && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:06cedd4e117f0e58677de732f8cb5d83d37170a352e2d896377a1d05105f24d7
  package:
    name: wayland-protocols
    version: "1.42"
    category: dev-libs
    use_flags:
    - -test
    requires:
    - name: freeglut
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Wayland protocol files
    uri:
    - https://wayland.freedesktop.org/
    license: MIT
    buildtimestamp: 2025-08-10 21:40:37.958135484 +0000 UTC m=+634.568865734
    labels:
      BDEPEND: dev-util/wayland-scanner virtual/pkgconfig >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2
      DEPEND: test? ( dev-libs/wayland )
      IUSE: test
      emerge.packages: dev-libs/wayland-protocols
      kit: xorg-kit
      original.package.name: dev-libs/wayland-protocols
      original.package.slot: "0"
      original.package.version: "1.42"
    treedir: /build/packages
  package_dir: /pkgdir/wayland-protocols
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 45a64aaeff364b8933d9ce6df03c7d6dc705c7c9033319e3154fbb90c28ab716
compressiontype: zstd
files:
- usr/share/doc/wayland-protocols-1.42/README.md.bz2
- usr/share/pkgconfig/wayland-protocols.pc
- usr/share/wayland-protocols/stable/linux-dmabuf/linux-dmabuf-v1.xml
- usr/share/wayland-protocols/stable/presentation-time/presentation-time.xml
- usr/share/wayland-protocols/stable/tablet/tablet-v2.xml
- usr/share/wayland-protocols/stable/viewporter/viewporter.xml
- usr/share/wayland-protocols/stable/xdg-shell/xdg-shell.xml
- usr/share/wayland-protocols/staging/alpha-modifier/alpha-modifier-v1.xml
- usr/share/wayland-protocols/staging/color-management/color-management-v1.xml
- usr/share/wayland-protocols/staging/commit-timing/commit-timing-v1.xml
- usr/share/wayland-protocols/staging/content-type/content-type-v1.xml
- usr/share/wayland-protocols/staging/cursor-shape/cursor-shape-v1.xml
- usr/share/wayland-protocols/staging/drm-lease/drm-lease-v1.xml
- usr/share/wayland-protocols/staging/ext-data-control/ext-data-control-v1.xml
- usr/share/wayland-protocols/staging/ext-foreign-toplevel-list/ext-foreign-toplevel-list-v1.xml
- usr/share/wayland-protocols/staging/ext-idle-notify/ext-idle-notify-v1.xml
- usr/share/wayland-protocols/staging/ext-image-capture-source/ext-image-capture-source-v1.xml
- usr/share/wayland-protocols/staging/ext-image-copy-capture/ext-image-copy-capture-v1.xml
- usr/share/wayland-protocols/staging/ext-session-lock/ext-session-lock-v1.xml
- usr/share/wayland-protocols/staging/ext-transient-seat/ext-transient-seat-v1.xml
- usr/share/wayland-protocols/staging/ext-workspace/ext-workspace-v1.xml
- usr/share/wayland-protocols/staging/fifo/fifo-v1.xml
- usr/share/wayland-protocols/staging/fractional-scale/fractional-scale-v1.xml
- usr/share/wayland-protocols/staging/linux-drm-syncobj/linux-drm-syncobj-v1.xml
- usr/share/wayland-protocols/staging/security-context/security-context-v1.xml
- usr/share/wayland-protocols/staging/single-pixel-buffer/single-pixel-buffer-v1.xml
- usr/share/wayland-protocols/staging/tearing-control/tearing-control-v1.xml
- usr/share/wayland-protocols/staging/xdg-activation/xdg-activation-v1.xml
- usr/share/wayland-protocols/staging/xdg-dialog/xdg-dialog-v1.xml
- usr/share/wayland-protocols/staging/xdg-system-bell/xdg-system-bell-v1.xml
- usr/share/wayland-protocols/staging/xdg-toplevel-drag/xdg-toplevel-drag-v1.xml
- usr/share/wayland-protocols/staging/xdg-toplevel-icon/xdg-toplevel-icon-v1.xml
- usr/share/wayland-protocols/staging/xwayland-shell/xwayland-shell-v1.xml
- usr/share/wayland-protocols/unstable/fullscreen-shell/fullscreen-shell-unstable-v1.xml
- usr/share/wayland-protocols/unstable/idle-inhibit/idle-inhibit-unstable-v1.xml
- usr/share/wayland-protocols/unstable/input-method/input-method-unstable-v1.xml
- usr/share/wayland-protocols/unstable/input-timestamps/input-timestamps-unstable-v1.xml
- usr/share/wayland-protocols/unstable/keyboard-shortcuts-inhibit/keyboard-shortcuts-inhibit-unstable-v1.xml
- usr/share/wayland-protocols/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
- usr/share/wayland-protocols/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml
- usr/share/wayland-protocols/unstable/pointer-constraints/pointer-constraints-unstable-v1.xml
- usr/share/wayland-protocols/unstable/pointer-gestures/pointer-gestures-unstable-v1.xml
- usr/share/wayland-protocols/unstable/primary-selection/primary-selection-unstable-v1.xml
- usr/share/wayland-protocols/unstable/relative-pointer/relative-pointer-unstable-v1.xml
- usr/share/wayland-protocols/unstable/tablet/tablet-unstable-v1.xml
- usr/share/wayland-protocols/unstable/tablet/tablet-unstable-v2.xml
- usr/share/wayland-protocols/unstable/text-input/text-input-unstable-v1.xml
- usr/share/wayland-protocols/unstable/text-input/text-input-unstable-v3.xml
- usr/share/wayland-protocols/unstable/xdg-decoration/xdg-decoration-unstable-v1.xml
- usr/share/wayland-protocols/unstable/xdg-foreign/xdg-foreign-unstable-v1.xml
- usr/share/wayland-protocols/unstable/xdg-foreign/xdg-foreign-unstable-v2.xml
- usr/share/wayland-protocols/unstable/xdg-output/xdg-output-unstable-v1.xml
- usr/share/wayland-protocols/unstable/xdg-shell/xdg-shell-unstable-v5.xml
- usr/share/wayland-protocols/unstable/xdg-shell/xdg-shell-unstable-v6.xml
- usr/share/wayland-protocols/unstable/xwayland-keyboard-grab/xwayland-keyboard-grab-unstable-v1.xml
- var/db/pkg/dev-libs/wayland-protocols-1.42/BDEPEND
- var/db/pkg/dev-libs/wayland-protocols-1.42/BUILD_TIME
- var/db/pkg/dev-libs/wayland-protocols-1.42/CATEGORY
- var/db/pkg/dev-libs/wayland-protocols-1.42/CBUILD
- var/db/pkg/dev-libs/wayland-protocols-1.42/CFLAGS
- var/db/pkg/dev-libs/wayland-protocols-1.42/CHOST
- var/db/pkg/dev-libs/wayland-protocols-1.42/CONTENTS
- var/db/pkg/dev-libs/wayland-protocols-1.42/COUNTER
- var/db/pkg/dev-libs/wayland-protocols-1.42/CTARGET
- var/db/pkg/dev-libs/wayland-protocols-1.42/CXX
- var/db/pkg/dev-libs/wayland-protocols-1.42/CXXFLAGS
- var/db/pkg/dev-libs/wayland-protocols-1.42/DEFINED_PHASES
- var/db/pkg/dev-libs/wayland-protocols-1.42/DESCRIPTION
- var/db/pkg/dev-libs/wayland-protocols-1.42/EAPI
- var/db/pkg/dev-libs/wayland-protocols-1.42/FEATURES
- var/db/pkg/dev-libs/wayland-protocols-1.42/HOMEPAGE
- var/db/pkg/dev-libs/wayland-protocols-1.42/INHERITED
- var/db/pkg/dev-libs/wayland-protocols-1.42/IUSE
- var/db/pkg/dev-libs/wayland-protocols-1.42/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/wayland-protocols-1.42/KEYWORDS
- var/db/pkg/dev-libs/wayland-protocols-1.42/LDFLAGS
- var/db/pkg/dev-libs/wayland-protocols-1.42/LICENSE
- var/db/pkg/dev-libs/wayland-protocols-1.42/PF
- var/db/pkg/dev-libs/wayland-protocols-1.42/RESTRICT
- var/db/pkg/dev-libs/wayland-protocols-1.42/SIZE
- var/db/pkg/dev-libs/wayland-protocols-1.42/SLOT
- var/db/pkg/dev-libs/wayland-protocols-1.42/USE
- var/db/pkg/dev-libs/wayland-protocols-1.42/environment.bz2
- var/db/pkg/dev-libs/wayland-protocols-1.42/repository
- var/db/pkg/dev-libs/wayland-protocols-1.42/wayland-protocols-1.42.ebuild
package_cacheimage: ""
runtime:
  name: wayland-protocols
  version: "1.42"
  category: dev-libs
  use_flags:
  - -test
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Wayland protocol files
  uri:
  - https://wayland.freedesktop.org/
  license: MIT
  labels:
    BDEPEND: dev-util/wayland-scanner virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: test? ( dev-libs/wayland )
    IUSE: test
    emerge.packages: dev-libs/wayland-protocols
    kit: xorg-kit
    original.package.name: dev-libs/wayland-protocols
    original.package.slot: "0"
    original.package.version: "1.42"
